Bug 1190256 - Keyboard not working after cold-boot on ASUS Zenbook 14 UM425UA with Tumbleweed 20210904
Keyboard not working after cold-boot on ASUS Zenbook 14 UM425UA with Tumblewe...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Tumbleweed
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-07 13:08 UTC by Michael Krapp
Modified: 2022-08-16 06:57 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
hwinfo (1.64 MB, text/x-log)
2021-09-07 13:09 UTC, Michael Krapp
Details
Journal (291.38 KB, text/plain)
2021-09-07 13:09 UTC, Michael Krapp
Details
dmesg where keyboard is not working (81.51 KB, text/plain)
2021-09-09 15:34 UTC, Michael Krapp
Details
hwinfo where keyboard is not working (1.63 MB, text/plain)
2021-09-09 15:34 UTC, Michael Krapp
Details
dmesg - keyboard is working (82.17 KB, text/plain)
2021-09-09 15:36 UTC, Michael Krapp
Details
hwinfo - keyboard is working (1.64 MB, text/plain)
2021-09-09 15:36 UTC, Michael Krapp
Details
dmesg, no kbd, kernel 5.14.2-2.g70babd3, warm reboot (78.81 KB, text/plain)
2021-09-11 12:24 UTC, Michael Krapp
Details
dmesg, cold boot with 5.14.2-3.g9458b22 (83.24 KB, text/plain)
2021-09-16 11:00 UTC, Michael Krapp
Details
dmesg, cold boot with 5.15.0-1.g8b20058 (80.84 KB, text/plain)
2021-11-12 17:00 UTC, Michael Krapp
Details
dmesg - Kernel 6.0.0-rc1-1.gc35dc38-default - Cold boot (83.29 KB, text/plain)
2022-08-16 06:26 UTC, Michael Krapp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Krapp 2021-09-07 13:08:34 UTC
I got a new ASUS Zenbook 14 UM524UA. Unfortunately keyboard is not at all working in latest Tumbleweed with kernel 5.14.0-1-default.

I: Bus=0018 Vendor=04f3 Product=3134 Version=0100
  N: Name="ASUE140A:00 04F3:3134 Keyboard"
  P: Phys=i2c-ASUE140A:00
  S: Sysfs=/devices/platform/AMDI0010:03/i2c-0/i2c-ASUE140A:00/0018:04F3:3134.0001/input/input8
  U: Uniq=
  H: Handlers=sysrq kbd leds event5 
  B: PROP=0
  B: EV=120013
  B: KEY=1000000000007 ff800000000007ff febeffdfffefffff fffffffffffffffe
  B: MSC=10
  B: LED=1f

It's recognized during boot:

> Aug 31 20:00:01 localhost kernel: input: ASUE140A:00 04F3:3134 Mouse as /devices/platform/AMDI0010:03/i2c-0/i2c-ASUE140A:00/0018:04F3:3134.0001/input/input3
> Aug 31 20:00:01 localhost kernel: input: ASUE140A:00 04F3:3134 Touchpad as /devices/platform/AMDI0010:03/i2c-0/i2c-ASUE140A:00/0018:04F3:3134.0001/input/input4
> Aug 31 20:00:01 localhost kernel: input: ASUE140A:00 04F3:3134 Keyboard as /devices/platform/AMDI0010:03/i2c-0/i2c-ASUE140A:00/0018:04F3:3134.0001/input/input5
> Aug 31 20:00:01 localhost kernel: hid-generic 0018:04F3:3134.0001: input,hidraw0: I2C HID v1.00 Mouse [ASUE140A:00 04F3:3134] on i2c-ASUE140A:00

but not working at all. no events created when pressing/releasing keys.
The touchpad works fine, albeit I didn't try to get the extra function working (numpad on touchpad) yet.
I'll attach hwinfo and journal in a minute.

Any idea how I can get the keyboard working?
Comment 1 Michael Krapp 2021-09-07 13:09:15 UTC
Created attachment 852344 [details]
hwinfo
Comment 2 Michael Krapp 2021-09-07 13:09:41 UTC
Created attachment 852345 [details]
Journal
Comment 3 Michael Krapp 2021-09-07 13:59:00 UTC
Correction: Keyboard does not work after a cold boot.
Rebooting from login screen then makes the keyboard miraculously work.
Comment 4 Michael Krapp 2021-09-07 14:51:53 UTC
and another one, keyboard also works in SLE-15-SP3 rescue system.
Comment 5 Takashi Iwai 2021-09-09 14:15:21 UTC
Could you get the dmesg output as well as hwinfo output from both working and non-working cases to compare?  Often this kind of problem depends on the pinctrl driver, but in your case, the device it self was detected, so I'm not quite sure.
Comment 6 Michael Krapp 2021-09-09 15:22:23 UTC
Let me reboot a couple times ;-)

What I spotted in dmesg when keyboard was NOT working:

[    0.512668] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.512672] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    1.033609] i8042: Can't read CTR while initializing i8042
[    1.033632] i8042: probe of i8042 failed with error -5
[    1.033869] mousedev: PS/2 mouse device common for all mice



Compared to WORKING:

[    0.491163] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.491166] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.492699] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.492884] mousedev: PS/2 mouse device common for all mice

I'll upload dmesg and hwinfo now
Comment 7 Michael Krapp 2021-09-09 15:34:22 UTC
Created attachment 852400 [details]
dmesg where keyboard is not working
Comment 8 Michael Krapp 2021-09-09 15:34:58 UTC
Created attachment 852401 [details]
hwinfo  where keyboard is not working
Comment 9 Michael Krapp 2021-09-09 15:36:01 UTC
Created attachment 852402 [details]
dmesg - keyboard is working
Comment 10 Michael Krapp 2021-09-09 15:36:37 UTC
Created attachment 852403 [details]
hwinfo  - keyboard is working
Comment 11 Takashi Iwai 2021-09-10 06:09:40 UTC
Thanks.  So this is about PS/2 keyboard and by some unknown reason the initialization fails at the cold boot.  Unfortunately it's not trivial to re-probe because of the built-in driver.

I rebuilt the latest stable kernel with changing the PS2 keyboard and mouse drivers to modules, which will allow you to reload after the boot.
The test kernel is found in OBS home:tiwai:bsc1190256 repo.
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1190256/standard/

Could you give it a try?  Prepare a USB keyboard while testing, as PS/2 modules might be not loaded automatically.
The modules to be tested are i8042, atkbd and psmouse.  Check lsmod and load the missing one.

An interesting part is that, if those have been loaded but not working in the same way, try to unload and reload again.
Comment 12 Michael Krapp 2021-09-10 10:12:45 UTC
Thank you, Takashi

That kernel worked out of the box

micha@susi:~> lsmod |egrep "(i8042|atkb|psmouse)"
atkbd                  36864  0
libps2                 20480  1 atkbd
i8042                  32768  1 asus_nb_wmi

I'll do some more reboots, hopefully I get a another failure
Comment 13 Takashi Iwai 2021-09-10 10:37:47 UTC
OK, then it's likely a hairy timing issue.  By moving the drivers from built-in to modules, the initialization of those devices are delayed, and this already made the things working.

As a final solution, we'd need to ask upstream.  Let's see.
Comment 14 Takashi Iwai 2021-09-10 12:08:36 UTC
I'm building yet another test kernel with a hackish patch to re-probe the i8042 driver at the error.  It's being built in OBS home:tiwai:bsc1190256-2 repo.
Please give it a try later.
Comment 15 Michael Krapp 2021-09-10 17:38:17 UTC
Thanks, no luck unfortunately.
i8042 still is erroring out upon cold boot.

I bootet with i8042.debug=1 i8042.notimeout=1
dmesg snippets:

NON working:

[    0.428604] ACPI: \_SB_.PLTF.P00F: Found 3 idle states
[    0.428970] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    0.430325] Non-volatile memory driver v1.3
[    0.430356] Linux agpgart interface v0.103
[    0.494005] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.494054] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.494142] i8042: [0] 20 -> i8042 (command)
[    0.497899] i8042: [0]      -- i8042 (wait read timeout)
[    1.015008] i8042: Can't read CTR while initializing i8042
[    1.015028] i8042 i8042: probe deferral not supported
[    1.015276] mousedev: PS/2 mouse device common for all mice


WORKING (after warm reboot)

[    0.435691] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    0.436741] Non-volatile memory driver v1.3
[    0.436771] Linux agpgart interface v0.103
[    0.497612] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.497637] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.497724] i8042: [0] 9c <- i8042 (flush, kbd)
[    0.497766] i8042: [0] 20 -> i8042 (command)
[    0.498036] i8042: [0] 65 <- i8042 (return)
[    0.498091] i8042: [0] 20 -> i8042 (command)
[    0.498411] i8042: [0] 65 <- i8042 (return)
[    0.498416] i8042: [0] 60 -> i8042 (command)
[    0.498890] i8042: [0] 74 -> i8042 (parameter)
[    0.499039] i8042: [1] 60 -> i8042 (command)
[    0.499200] i8042: [1] 65 -> i8042 (parameter)
[    0.499202] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.499365] mousedev: PS/2 mouse device common for all mice
[    0.499399] i8042: [1] f2 -> i8042 (kbd-data)
[    0.499436] rtc_cmos 00:01: RTC can wake from S4
[    0.499772] rtc_cmos 00:01: registered as rtc0
[    0.499863] rtc_cmos 00:01: setting system clock to 2021-09-10T19:33:29 UTC (1631302409)
[    0.499916] rtc_cmos 00:01: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[    0.499967] i8042: [1] fa <- i8042 (interrupt, 0, 1)
[    0.500523] ledtrig-cpu: registered to indicate activity on CPUs
[    0.500546] EFI Variables Facility v0.08 2004-May-17
[    0.501990] hid: raw HID events driver (C) Jiri Kosina
[    0.502058] drop_monitor: Initializing network drop monitor service
[    0.502085] i8042: [1] ab <- i8042 (interrupt, 0, 1)
[    0.502191] NET: Registered PF_INET6 protocol family
[    0.505164] i8042: [2] 83 <- i8042 (interrupt, 0, 1)
[    0.505205] i8042: [2] f5 -> i8042 (kbd-data)
[    0.505525] i8042: [2] fa <- i8042 (interrupt, 0, 1)
[    0.505565] i8042: [2] ed -> i8042 (kbd-data)
[    0.506092] i8042: [2] fa <- i8042 (interrupt, 0, 1)
[    0.506143] i8042: [2] 00 -> i8042 (kbd-data)
[    0.506592] i8042: [3] fa <- i8042 (interrupt, 0, 1)
[    0.506627] i8042: [3] f3 -> i8042 (kbd-data)
[    0.507214] i8042: [3] fa <- i8042 (interrupt, 0, 1)
[    0.507263] i8042: [3] 00 -> i8042 (kbd-data)
[    0.507535] i8042: [3] fa <- i8042 (interrupt, 0, 1)
[    0.507606] i8042: [3] f4 -> i8042 (kbd-data)
[    0.508415] i8042: [3] fa <- i8042 (interrupt, 0, 1)
[    0.508498] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.296740] Freeing initrd memory: 27100K
[    1.302209] Segment Routing with IPv6
[    1.302229] RPL Segment Routing with IPv6
Comment 16 Takashi Iwai 2021-09-11 07:34:24 UTC
Thanks.  It turned out that the previous change wasn't sufficient, and now the upstream dev gave another piece to try.

I updated the same OBS repo home:tiwai:bsc1190256-2 again with the new patch.  The test kernel is being built, which will be 5.14.2-*.g70babd3.
Please give it a try later again.
Comment 17 Michael Krapp 2021-09-11 12:24:37 UTC
Created attachment 852445 [details]
dmesg, no kbd, kernel 5.14.2-2.g70babd3, warm reboot

Doesn't work, unfortunately.

Now keyboard does not work at all anymore, not even after a warm reboot.


From dmesg (cold boot):

[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.14.2-2.g70babd3-default root=UUID=5fb3cc61-c68e-452f-8c55-a535662ce163 splash=verbose mitigations=auto i8042.debug=1
[    0.016568] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.14.2-2.g70babd3-default root=UUID=5fb3cc61-c68e-452f-8c55-a535662ce163 splash=verbose mitigations=auto i8042.debug=1
[    0.488793] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.488818] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.488906] i8042: [0] 9c <- i8042 (flush, kbd)


WARM boot:

[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-5.14.2-2.g70babd3-default root=UUID=5fb3cc61-c68e-452f-8c55-a535662ce163 splash=verbose mitigations=auto i8042.debug=1
[    0.016655] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.14.2-2.g70babd3-default root=UUID=5fb3cc61-c68e-452f-8c55-a535662ce163 splash=verbose mitigations=auto i8042.debug=1
[    0.499830] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.499855] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.499943] i8042: [0] 9c <- i8042 (flush, kbd)
Comment 18 Takashi Iwai 2021-09-12 20:32:13 UTC
Thanks.  The upstream gave yet another try for the approach, and a new kernel is being built again on the same OBS repo, home:tiwai:bsc1190256-2.

Also, I'm building one more another test kernel with a different change, just move the input init to a bit later.  That's being built in OBS home:tiwai:bsc1190256-3 repo.

It'd be appreciated if you can test them later.
Comment 19 Michael Krapp 2021-09-15 20:22:36 UTC
Sorry, been off for a few days.

(In reply to Takashi Iwai from comment #18)
> Thanks.  The upstream gave yet another try for the approach, and a new
> kernel is being built again on the same OBS repo, home:tiwai:bsc1190256-2.

That one worked despite the CTR error:

[    0.000000] Linux version 5.14.2-3.g9458b22-default (geeko@buildhost) (gcc (SUSE Linux) 11.2.1 20210816 [revision 056e324ce46a7924b5cf10f61010cf9dd2ca10e9], GNU ld (GNU Binutils; openSUSE Tumbleweed) 2.36.1.20210326-4) #1 SMP Sun Sep 12 20:15:58 UTC 2021 (9458b22)
[    0.484315] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.484318] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    1.005361] i8042: Can't read CTR while initializing i8042
[    1.477053] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.503700] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2

Seems it takes more than a secod to initialize, ugh


> Also, I'm building one more another test kernel with a different change,
> just move the input init to a bit later.  That's being built in OBS
> home:tiwai:bsc1190256-3 repo.

This one did NOT work on cold boot, but on the warm reboot after:

[    0.000000] Linux version 5.14.2-1.gcf0b6a8-default (geeko@buildhost) (gcc (SUSE Linux) 11.2.1 20210816 [revision 056e324ce46a7924b5cf10f61010cf9dd2ca10e9], GNU ld (GNU Binutils; openSUSE Tumbleweed) 2.36.1.20210326-4) #1 SMP Sun Sep 12 20:23:35 UTC 2021 (cf0b6a8)
[    0.502135] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.502137] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    1.023109] i8042: Can't read CTR while initializing i8042
[    1.023133] i8042: probe of i8042 failed with error -5


WARM reboot:

[    0.000000] Linux version 5.14.2-1.gcf0b6a8-default (geeko@buildhost) (gcc (SUSE Linux) 11.2.1 20210816 [revision 056e324ce46a7924b5cf10f61010cf9dd2ca10e9], GNU ld (GNU Binutils; openSUSE Tumbleweed) 2.36.1.20210326-4) #1 SMP Sun Sep 12 20:23:35 UTC 2021 (cf0b6a8)
[    0.514367] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.514369] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.515812] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.525691] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0

On the warm reboot it seems to initialize much faster
Comment 20 Takashi Iwai 2021-09-16 09:14:07 UTC
(In reply to Michael Krapp from comment #19)
> Sorry, been off for a few days.
> 
> (In reply to Takashi Iwai from comment #18)
> > Thanks.  The upstream gave yet another try for the approach, and a new
> > kernel is being built again on the same OBS repo, home:tiwai:bsc1190256-2.
> 
> That one worked despite the CTR error:
> 
> [    0.000000] Linux version 5.14.2-3.g9458b22-default (geeko@buildhost)
> (gcc (SUSE Linux) 11.2.1 20210816 [revision
> 056e324ce46a7924b5cf10f61010cf9dd2ca10e9], GNU ld (GNU Binutils; openSUSE
> Tumbleweed) 2.36.1.20210326-4) #1 SMP Sun Sep 12 20:15:58 UTC 2021 (9458b22)
> [    0.484315] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
> [    0.484318] i8042: PNP: PS/2 appears to have AUX port disabled, if this
> is incorrect please boot with i8042.nopnp
> [    1.005361] i8042: Can't read CTR while initializing i8042
> [    1.477053] serio: i8042 KBD port at 0x60,0x64 irq 1
> [    1.503700] input: AT Translated Set 2 keyboard as
> /devices/platform/i8042/serio0/input/input2
> 
> Seems it takes more than a secod to initialize, ugh

Could you give the full dmesg output?  (Not needed for the second kernel that failed.)
Comment 21 Michael Krapp 2021-09-16 11:00:18 UTC
Created attachment 852567 [details]
dmesg, cold boot with 5.14.2-3.g9458b22

(In reply to Takashi Iwai from comment #20)
> (In reply to Michael Krapp from comment #19)
...
> > That one worked despite the CTR error:
> > 
> > [    0.000000] Linux version 5.14.2-3.g9458b22-default (geeko@buildhost)
> > (gcc (SUSE Linux) 11.2.1 20210816 [revision
... 
> Could you give the full dmesg output?  (Not needed for the second kernel
> that failed.)

Here is a fresh one
Comment 22 Takashi Iwai 2021-11-05 14:19:31 UTC
I refreshed OBS home:tiwai:bsc1190256-2 repo with the latest patch.  The 5.15.0 kernel is being built there, could you give it a try and verify that it works later?  Once after confirming, I'll try to submit the fix to the upstream.
Comment 23 Michael Krapp 2021-11-12 17:00:50 UTC
Created attachment 853721 [details]
dmesg, cold boot with 5.15.0-1.g8b20058

That one works like a charm :)
I tried several times and it worked at every boot.

Thank you!
Comment 24 Takashi Iwai 2021-11-13 15:39:43 UTC
Thanks for testing.  I submitted the fix now and will backport it to TW kernel.
Comment 25 Jeffrey Cheung 2021-11-17 08:14:08 UTC
I see the below patch is just backported and submitted to 15 SP4 kernel

commit 0a16328b172b9c25243f925338af97e5d25e7969
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Nov 17 07:49:57 2021 +0100

    Input: i8042 - Add deferred probe support (bsc#1190256).
Comment 32 Swamp Workflow Management 2022-01-25 14:19:16 UTC
openSUSE-SU-2022:0169-1: An update that solves 10 vulnerabilities and has 32 fixes is now available.

Category: security (important)
Bug References: 1065729,1071995,1154353,1154492,1156395,1167773,1176447,1176774,1177437,1190256,1191271,1191929,1192931,1193255,1193328,1193660,1193669,1193727,1193901,1193927,1194001,1194027,1194087,1194094,1194302,1194493,1194516,1194517,1194518,1194529,1194578,1194580,1194584,1194586,1194587,1194589,1194590,1194591,1194592,1194888,1194953,1194985
CVE References: CVE-2021-4083,CVE-2021-4135,CVE-2021-4149,CVE-2021-4197,CVE-2021-4202,CVE-2021-45485,CVE-2021-45486,CVE-2021-46283,CVE-2022-0185,CVE-2022-0322
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    kernel-azure-5.3.18-150300.38.37.1, kernel-source-azure-5.3.18-150300.38.37.1, kernel-syms-azure-5.3.18-150300.38.37.1
Comment 33 Swamp Workflow Management 2022-01-25 14:25:02 UTC
SUSE-SU-2022:0169-1: An update that solves 10 vulnerabilities and has 32 fixes is now available.

Category: security (important)
Bug References: 1065729,1071995,1154353,1154492,1156395,1167773,1176447,1176774,1177437,1190256,1191271,1191929,1192931,1193255,1193328,1193660,1193669,1193727,1193901,1193927,1194001,1194027,1194087,1194094,1194302,1194493,1194516,1194517,1194518,1194529,1194578,1194580,1194584,1194586,1194587,1194589,1194590,1194591,1194592,1194888,1194953,1194985
CVE References: CVE-2021-4083,CVE-2021-4135,CVE-2021-4149,CVE-2021-4197,CVE-2021-4202,CVE-2021-45485,CVE-2021-45486,CVE-2021-46283,CVE-2022-0185,CVE-2022-0322
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    kernel-azure-5.3.18-150300.38.37.1, kernel-source-azure-5.3.18-150300.38.37.1, kernel-syms-azure-5.3.18-150300.38.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2022-01-26 11:19:14 UTC
SUSE-SU-2022:0198-1: An update that solves 10 vulnerabilities and has 33 fixes is now available.

Category: security (important)
Bug References: 1065729,1071995,1154353,1154492,1156395,1167773,1176447,1176774,1177437,1190256,1191271,1191929,1192931,1193255,1193328,1193660,1193669,1193727,1193901,1193927,1194001,1194027,1194087,1194094,1194266,1194302,1194493,1194516,1194517,1194518,1194529,1194578,1194580,1194584,1194586,1194587,1194589,1194590,1194591,1194592,1194888,1194953,1194985
CVE References: CVE-2021-4083,CVE-2021-4135,CVE-2021-4149,CVE-2021-4197,CVE-2021-4202,CVE-2021-45485,CVE-2021-45486,CVE-2021-46283,CVE-2022-0185,CVE-2022-0322
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    kernel-default-5.3.18-150300.59.43.1, kernel-default-base-5.3.18-150300.59.43.1.150300.18.27.1
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    kernel-default-5.3.18-150300.59.43.1, kernel-preempt-5.3.18-150300.59.43.1
SUSE Linux Enterprise Module for Live Patching 15-SP3 (src):    kernel-default-5.3.18-150300.59.43.1, kernel-livepatch-SLE15-SP3_Update_12-1-150300.7.3.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    kernel-default-5.3.18-150300.59.43.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    kernel-docs-5.3.18-150300.59.43.1, kernel-obs-build-5.3.18-150300.59.43.1, kernel-preempt-5.3.18-150300.59.43.1, kernel-source-5.3.18-150300.59.43.1, kernel-syms-5.3.18-150300.59.43.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    kernel-64kb-5.3.18-150300.59.43.1, kernel-default-5.3.18-150300.59.43.1, kernel-default-base-5.3.18-150300.59.43.1.150300.18.27.1, kernel-preempt-5.3.18-150300.59.43.1, kernel-source-5.3.18-150300.59.43.1, kernel-zfcpdump-5.3.18-150300.59.43.1
SUSE Linux Enterprise High Availability 15-SP3 (src):    kernel-default-5.3.18-150300.59.43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2022-01-26 11:34:36 UTC
openSUSE-SU-2022:0198-1: An update that solves 10 vulnerabilities and has 33 fixes is now available.

Category: security (important)
Bug References: 1065729,1071995,1154353,1154492,1156395,1167773,1176447,1176774,1177437,1190256,1191271,1191929,1192931,1193255,1193328,1193660,1193669,1193727,1193901,1193927,1194001,1194027,1194087,1194094,1194266,1194302,1194493,1194516,1194517,1194518,1194529,1194578,1194580,1194584,1194586,1194587,1194589,1194590,1194591,1194592,1194888,1194953,1194985
CVE References: CVE-2021-4083,CVE-2021-4135,CVE-2021-4149,CVE-2021-4197,CVE-2021-4202,CVE-2021-45485,CVE-2021-45486,CVE-2021-46283,CVE-2022-0185,CVE-2022-0322
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    dtb-aarch64-5.3.18-150300.59.43.1, kernel-preempt-5.3.18-150300.59.43.1
openSUSE Leap 15.3 (src):    dtb-aarch64-5.3.18-150300.59.43.1, kernel-64kb-5.3.18-150300.59.43.1, kernel-debug-5.3.18-150300.59.43.1, kernel-default-5.3.18-150300.59.43.1, kernel-default-base-5.3.18-150300.59.43.1.150300.18.27.1, kernel-docs-5.3.18-150300.59.43.1, kernel-kvmsmall-5.3.18-150300.59.43.1, kernel-obs-build-5.3.18-150300.59.43.1, kernel-obs-qa-5.3.18-150300.59.43.1, kernel-preempt-5.3.18-150300.59.43.1, kernel-source-5.3.18-150300.59.43.1, kernel-syms-5.3.18-150300.59.43.1, kernel-zfcpdump-5.3.18-150300.59.43.1
Comment 37 Swamp Workflow Management 2022-02-02 14:47:39 UTC
SUSE-SU-2022:0288-1: An update that solves 9 vulnerabilities, contains 7 features and has 30 fixes is now available.

Category: security (important)
Bug References: 1065729,1071995,1154353,1154492,1156395,1167773,1176447,1176774,1177437,1190256,1191271,1192931,1193255,1193328,1193669,1193727,1193767,1193901,1193927,1194001,1194027,1194302,1194493,1194516,1194517,1194518,1194529,1194580,1194584,1194586,1194587,1194589,1194590,1194591,1194592,1194888,1194953,1194985,1195062
CVE References: CVE-2021-4083,CVE-2021-4135,CVE-2021-4149,CVE-2021-4197,CVE-2021-4202,CVE-2021-44733,CVE-2021-46283,CVE-2022-0185,CVE-2022-0322
JIRA References: SLE-13294,SLE-13533,SLE-14777,SLE-15172,SLE-16683,SLE-23432,SLE-8464
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP3 (src):    kernel-rt-5.3.18-150300.71.1, kernel-rt_debug-5.3.18-150300.71.1, kernel-source-rt-5.3.18-150300.71.1, kernel-syms-rt-5.3.18-150300.71.1
SUSE Linux Enterprise Micro 5.1 (src):    kernel-rt-5.3.18-150300.71.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 38 Krzysztof Para 2022-04-23 16:50:42 UTC
I think i've found it after a few very long hours try i8042.probe_defer
this commit was made for UX425UA but it helped on my QA version
https://lore.kernel.org/lkml/2021111218 … suse.de/T/
Comment 39 Krzysztof Para 2022-04-23 16:52:22 UTC
(In reply to Krzysztof Para from comment #38)
> I think i've found it after a few very long hours try i8042.probe_defer
> this commit was made for UX425UA but it helped on my QA version
> https://lore.kernel.org/lkml/2021111218 … suse.de/T/

https://lore.kernel.org/lkml/20211112180022.10850-1-tiwai@suse.de/T/
Comment 40 Takashi Iwai 2022-04-24 07:59:13 UTC
(In reply to Krzysztof Para from comment #39)
> (In reply to Krzysztof Para from comment #38)
> > I think i've found it after a few very long hours try i8042.probe_defer
> > this commit was made for UX425UA but it helped on my QA version
> > https://lore.kernel.org/lkml/2021111218 … suse.de/T/
> 
> https://lore.kernel.org/lkml/20211112180022.10850-1-tiwai@suse.de/T/

Could you give the hwinfo output from your device?  The quirk entry needs to be extended to match with yours.
Comment 41 Bruce Kapp 2022-07-18 23:37:52 UTC
(In reply to Takashi Iwai from comment #40)
> (In reply to Krzysztof Para from comment #39)
> > (In reply to Krzysztof Para from comment #38)
> > > I think i've found it after a few very long hours try i8042.probe_defer
> > > this commit was made for UX425UA but it helped on my QA version
> > > https://lore.kernel.org/lkml/2021111218 … suse.de/T/
> > 
> > https://lore.kernel.org/lkml/20211112180022.10850-1-tiwai@suse.de/T/
> 
> Could you give the hwinfo output from your device?  The quirk entry needs to
> be extended to match with yours.

Hi, I have the UM425QA as well, however I'm not too sure how to get the hwinfo output.

If I run 'cat /sys/class/dmi/id/product_name' I get 'ZenBook UX425QA_UM425QA'

And 'cat /sys/class/dmi/id/board_vendor' gives me 'ASUSTek COMPUTER INC.'

Maybe this is enough information for you to add the quirk entry. If not, please let me know on what I need to do.

Thanks
Comment 42 Takashi Iwai 2022-07-19 07:50:03 UTC
Thanks.  Now I modified the DMI quirk table to adapt more ZenBook models.

A test TW kernel is being built in OBS home:tiwai:bsc1190256-3 repo.  It'll be available later at
  http://download.opensuse.org/repositories/home:/tiwai:/bsc1190256-3/standard/

Please give it a try (without probe_defer option).  If it's confirmed to work, I'll submit to the upstream and merge to TW and SLE15-SP4 kernels.
Comment 43 Bruce Kapp 2022-07-19 13:01:50 UTC
(In reply to Takashi Iwai from comment #42)
> Thanks.  Now I modified the DMI quirk table to adapt more ZenBook models.
> 
> A test TW kernel is being built in OBS home:tiwai:bsc1190256-3 repo.  It'll
> be available later at
>  
> http://download.opensuse.org/repositories/home:/tiwai:/bsc1190256-3/standard/
> 
> Please give it a try (without probe_defer option).  If it's confirmed to
> work, I'll submit to the upstream and merge to TW and SLE15-SP4 kernels.

Yes, it is working now! Tried multiple cold boots, keyboard worked fine each time. Did not use probe_defer. I do get the 'Can't read CTR while initializing i8042' on cold boots.

Thanks
Comment 44 Takashi Iwai 2022-07-19 13:37:31 UTC
OK, thanks for quick testing.

I submitted the fix patch to the upstream, and also backported to stable branch.
Hopefully it'll get merged soon later.

Let's close.
Comment 53 Swamp Workflow Management 2022-08-09 16:27:27 UTC
SUSE-SU-2022:2722-1: An update that solves 5 vulnerabilities, contains 9 features and has 31 fixes is now available.

Category: security (important)
Bug References: 1190256,1190497,1198410,1198829,1199086,1199291,1199364,1199665,1199670,1200015,1200465,1200494,1200644,1200651,1201258,1201323,1201381,1201391,1201427,1201458,1201471,1201524,1201592,1201593,1201595,1201596,1201635,1201651,1201675,1201691,1201705,1201725,1201846,1201930,1201954,1201958
CVE References: CVE-2021-33655,CVE-2022-1462,CVE-2022-21505,CVE-2022-29581,CVE-2022-32250
JIRA References: SLE-18130,SLE-20183,SLE-21132,SLE-24569,SLE-24570,SLE-24571,SLE-24578,SLE-24635,SLE-24682
Sources used:
openSUSE Leap 15.4 (src):    kernel-azure-5.14.21-150400.14.10.1, kernel-source-azure-5.14.21-150400.14.10.1, kernel-syms-azure-5.14.21-150400.14.10.1
SUSE Linux Enterprise Module for Public Cloud 15-SP4 (src):    kernel-azure-5.14.21-150400.14.10.1, kernel-source-azure-5.14.21-150400.14.10.1, kernel-syms-azure-5.14.21-150400.14.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 54 Swamp Workflow Management 2022-08-12 19:16:30 UTC
SUSE-SU-2022:2803-1: An update that solves 5 vulnerabilities, contains 7 features and has 16 fixes is now available.

Category: security (important)
Bug References: 1190256,1190497,1199291,1199356,1199665,1201258,1201323,1201391,1201458,1201592,1201593,1201595,1201596,1201635,1201651,1201691,1201705,1201726,1201846,1201930,1202094
CVE References: CVE-2021-33655,CVE-2022-21505,CVE-2022-2585,CVE-2022-26373,CVE-2022-29581
JIRA References: SLE-21132,SLE-24569,SLE-24570,SLE-24571,SLE-24578,SLE-24635,SLE-24682
Sources used:
openSUSE Leap 15.4 (src):    dtb-aarch64-5.14.21-150400.24.18.1, kernel-64kb-5.14.21-150400.24.18.1, kernel-debug-5.14.21-150400.24.18.1, kernel-default-5.14.21-150400.24.18.1, kernel-default-base-5.14.21-150400.24.18.1.150400.24.5.4, kernel-docs-5.14.21-150400.24.18.1, kernel-kvmsmall-5.14.21-150400.24.18.1, kernel-obs-build-5.14.21-150400.24.18.1, kernel-obs-qa-5.14.21-150400.24.18.1, kernel-source-5.14.21-150400.24.18.1, kernel-syms-5.14.21-150400.24.18.1, kernel-zfcpdump-5.14.21-150400.24.18.1
SUSE Linux Enterprise Workstation Extension 15-SP4 (src):    kernel-default-5.14.21-150400.24.18.1
SUSE Linux Enterprise Module for Live Patching 15-SP4 (src):    kernel-default-5.14.21-150400.24.18.1, kernel-livepatch-SLE15-SP4_Update_2-1-150400.9.5.2
SUSE Linux Enterprise Module for Legacy Software 15-SP4 (src):    kernel-default-5.14.21-150400.24.18.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    kernel-docs-5.14.21-150400.24.18.1, kernel-obs-build-5.14.21-150400.24.18.1, kernel-source-5.14.21-150400.24.18.1, kernel-syms-5.14.21-150400.24.18.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    kernel-64kb-5.14.21-150400.24.18.1, kernel-default-5.14.21-150400.24.18.1, kernel-default-base-5.14.21-150400.24.18.1.150400.24.5.4, kernel-source-5.14.21-150400.24.18.1, kernel-zfcpdump-5.14.21-150400.24.18.1
SUSE Linux Enterprise High Availability 15-SP4 (src):    kernel-default-5.14.21-150400.24.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 55 Michal Kubeček 2022-08-14 16:12:30 UTC
The patch might be obsoleted by mainline commit ff946268a081 ("Input: i8042 -
merge quirk tables") in upcoming 6.0-rc1 but I can't say for sure. If it's
not, it will need to be replaced by a different one after said commit.

Once 6.0-rc1 reaches Kernel:HEAD, could someone with affected hardware check
if the issue does not reappear?
Comment 56 Takashi Iwai 2022-08-15 05:50:24 UTC
(In reply to Michal Kubeček from comment #55)
> The patch might be obsoleted by mainline commit ff946268a081 ("Input: i8042 -
> merge quirk tables") in upcoming 6.0-rc1 but I can't say for sure. If it's
> not, it will need to be replaced by a different one after said commit.

The patch needs to be refreshed to the original version I posted that already takes the suggested commit into account:
 https://lore.kernel.org/all/20220719133150.31257-1-tiwai@suse.de/

The patch currently found in our master/stable branches is a modified version for the older kernels.

Maybe I need to ping the upstream.
Comment 57 Michal Kubeček 2022-08-15 08:09:48 UTC
Sorry for the noise, when checking why the patch stopped applying yesteday,
I noticed only the part of commit ff946268a081 where the match was removed

>         {
> -               /* ASUS ZenBook UX425UA */
>                 .matches = {
> -                       DMI_MATCH(DMI_SYS_VENDOR, "ASUSTeK COMPUTER INC."),
> -                       DMI_MATCH(DMI_PRODUCT_NAME, "ZenBook UX425UA"),
> +                       DMI_MATCH(DMI_CHASSIS_TYPE, "10"), /* Notebook */
>                 },
>         },

but I somehow managed to completely miss this part:

>         {
> +               /* ASUS ZenBook UX425UA */
>                 .matches = {
>                         DMI_MATCH(DMI_SYS_VENDOR, "ASUSTeK COMPUTER INC."),
> -                       DMI_MATCH(DMI_PRODUCT_NAME, "X750LN"),
> +                       DMI_MATCH(DMI_PRODUCT_NAME, "ZenBook UX425UA"),
>                 },
> +               .driver_data = (void *)(SERIO_QUIRK_PROBE_DEFER | SERIO_QUIRK_RESET_NEVER)
>         },

so I thought upstream switched to matching by a diffent key.
Comment 58 Michael Krapp 2022-08-15 21:04:05 UTC
(In reply to Michal Kubeček from comment #55)
> The patch might be obsoleted by mainline commit ff946268a081 ("Input: i8042 -
> merge quirk tables") in upcoming 6.0-rc1 but I can't say for sure. If it's
> not, it will need to be replaced by a different one after said commit.
> 
> Once 6.0-rc1 reaches Kernel:HEAD, could someone with affected hardware check
> if the issue does not reappear?

Is that the version you were looking for?
Linux susi.krapp.internal 6.0.0-rc1-1.gc35dc38-default #1 SMP PREEMPT_DYNAMIC Mon Aug 15 00:08:48 UTC 2022 (c35dc38) x86_64 x86_64 x86_64 GNU/Linux

Worksforme :-)

micha@susi:~> sudo journalctl -b|grep i8042
Aug 16 00:54:48 susi kernel: i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
Aug 16 00:54:48 susi kernel: i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
Aug 16 00:54:48 susi kernel: i8042: Can't read CTR while initializing i8042
Aug 16 00:54:48 susi kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
Aug 16 00:54:48 susi kernel: input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
Comment 59 Michal Kubeček 2022-08-15 22:08:57 UTC
(In reply to Michael Krapp from comment #58)
> Is that the version you were looking for?
> Linux susi.krapp.internal 6.0.0-rc1-1.gc35dc38-default #1 SMP
> PREEMPT_DYNAMIC Mon Aug 15 00:08:48 UTC 2022 (c35dc38) x86_64 x86_64 x86_64
> GNU/Linux
> 
> Worksforme :-)

That's surprising as this snapshot does not have Takashi's refresh of the
patch (only disabled previous version) so that it's not supposed to work.
Comment 60 Takashi Iwai 2022-08-16 05:21:32 UTC
Maybe not tested after the cold boot?  Or it might have been fixed in BIOS side :)  The quirk is about instability and retrying the probe.
Comment 61 Michael Krapp 2022-08-16 06:26:16 UTC
Created attachment 860795 [details]
dmesg - Kernel 6.0.0-rc1-1.gc35dc38-default - Cold boot

No, I did test it. :) Again this morning, cold and warm boot. Still works
The only difference is that I disabled secure boot for kernel 6.0

BIOS is still the same, ASUS didn't release a new version yet.
See dmesg (cold boot) attached, let me know if you want a hwinfo also, please
Comment 62 Takashi Iwai 2022-08-16 06:57:52 UTC
Interesting.  So the recent driver works somehow better in this regard although the fix wasn't intended.  We may drop the quirk patch, then.